'listview lparam itemdata
'   检索可以与 ListView 项存储的 32 位值。
'   hWndControl:  控件的句柄 (例如  HWND_FORM1_LISTVIEW1)   
'   iRow:         要检索的从零开始的行。
'   iColumn:      要检索的从零开始的列。
'   Returns:      Returns the item's lParam.
Function FF_ListView_GetItemlParam(ByVal hWndControl as HWnd, ByVal iRow as Long, ByVal iColumn as Long) as Long
   
   Dim tlv_item as LV_ITEM
   
   '检查窗口句柄是否有效
   If IsWindow(hWndControl) Then
      tlv_item.mask = LVIF_PARAM
      tlv_item.iItem = iRow
      tlv_item.iSubItem = iColumn
      
      If SendMessage(hWndControl, LVM_GETITEM, 0, Cast(LPARAM, VarPtr(tlv_item))) Then
         Function = tlv_item.lParam
      End If
      
   End If
   
End Function

